## exabgp 3.4.12

=== debian/changelog ===
exabgp (3.4.12-2) unstable; urgency=medium

  * Disable more control tests. They seem to be unreliable when run in
    unusual conditions. Closes: #793509.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Jul 2015 14:32:59 +0200

exabgp (3.4.12-1) unstable; urgency=medium

  * New upstream version.
  * Drop the two previously introduced patches.

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Jul 2015 15:13:04 +0200

exabgp (3.4.11-3) unstable; urgency=medium

  * Exclude Debian versions from debian/watch.
  * Add two patches fixing decoding of incoming BGP messages:
     - 0001-fix-update-decoding.patch
     - 0001-fix-EOR-parsing.patch

 -- Vincent Bernat <bernat@debian.org>  Tue, 07 Jul 2015 10:35:24 +0200

exabgp (3.4.11-2) unstable; urgency=medium

  * Move processes/healthcheck.py in the same way we moved other files in
    /etc/exabgp/processes: check if it is present in the configuration
    file first.
  * Depends on python-pkg-resources which is needed and not discovered
    automatically for entry points. Closes: #789915.

 -- Vincent Bernat <bernat@debian.org>  Thu, 25 Jun 2015 11:02:11 +0200

exabgp (3.4.11-1) unstable; urgency=medium

  * New upstream release.
     + RFC documents not shipped anymore. Closes: #753829.
  * New maintainer. Thanks to Henry-Nicolas for maintaining ExaBGP
    packaging up to this release.
  * Many packaging changes. First, we just fork off the packaging as
    provided upstream, with the exception of the changelog. The changes
    are:
     + Update short and long description.
     + Rewrite of debian/copyright.
     + Move away from /etc/default to start or not start ExaBGP. A user
       has to use the dedicated mechanisms for its init system. Moreover, if
       no configuration file exists, don't start.
     + Don't provide an empty default configuration file and remove it if
       there is one (unchanged).
     + Remove unused lintian override.
  * Update debian/control's Vcs-* fields to use the appropriate branch.
  * Switch to 3.0 (quilt) format.
  * Add upstart script, thanks to Pierre-Yves Kerembellec.
  * Add back debian/watch.
  * Skip some unreliable tests.
  * Don't ship /usr/sbin/healthcheck. The name is too generic, this is not
    a script to run as a standalone script. A user should use "python -m
    exabgp.application.healthcheck" instead.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Jun 2015 14:13:12 +0200

exabgp (3.3.1-1) unstable; urgency=low

  * New upstream release
  * Bump python minimal required version (2.7)
  * Closes: #726066 Debian packaging improvements proposed by Vincent Bernat
  * Closes: #703774 not existent rundir (/var/run/exabgp) after reboot

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 8 Mar 2014 19:07:00 +0000

exabgp (3.1.6-1) unstable; urgency=low
  * New upstream release
  * Closes: #697742 incorrect ucf usage in postrm script.
  * Closes: #699363 incorrect rmdir usage in postinst

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Fri, 8 Mar 2013 12:00:00 +0000

exabgp (3.1.1-1) unstable; urgency=low
  
  * New upstream release
  * Closes: #687134 debconf abuse, notice of software behavior take places under
    NEWS.Debian, not in a debconf screen, information moved accordingly.
  * Closes: #693338 Japanese translation removed since debconf template is out.
  * Closes: #697178 Russian translation removed since debconf template is out.
  * Closes: #689533 UCF-based conf added. 
    No more manual changes to exabgp.env, thanks to Federico Ceratto.
            

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 02 Jan 2013 11:42:00 +0000

exabgp (3.0.11-1) unstable; urgency=low
  
  * New upstream release
  * Closes: #687134 (debconf abuse)

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Mon, 21 Nov 2012 18:19:00 +0000

exabgp (3.0.10-1) unstable; urgency=low
  
  * New upstream release

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 06 Sep 2012 12:34:56 +0000

exabgp (3.0.9-1) unstable; urgency=low
  
  * New upstream release

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 05 Sep 2012 12:34:56 +0000

exabgp (3.0.8-1) unstable; urgency=low
  
  * Improved init script for /var/run checks

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 25 Aug 2012 13:32:00 +0000

exabgp (3.0.7-1) unstable; urgency=low
  
  * New upstream release
  * Fix configuration parser when multiple flows are provided

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sun, 19 Aug 2012 20:00:00 +0000

exabgp (3.0.6-1) unstable; urgency=low
  
  * New upstream release
  * Debian packaging adapted for new configuration template
  * Improved init script

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sun, 12 Aug 2012 13:42:00 +0000

exabgp (2.0.8-1) unstable; urgency=low
  
  * New upstream release
  * Fix the update grouping which could cause bigger than allowed updates
  * Fix caller script path detection issue

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Sat, 31 Mar 2012 12:00:00 +0000

exabgp (2.0.7-1) unstable; urgency=low
  
  * New upstream release
  * Fix bad clean target for build/ directory

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Thu, 22 Mar 2012 12:00:00 +0000

exabgp (2.0.6-1) unstable; urgency=low
  
  * New upstream release
  * Group BGP updates up to 4096 bytes
  * Closes: #661472

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 28 Feb 2012 20:00:00 +0000

exabgp (2.0.5-1) unstable; urgency=low
  
  * New upstream release
  * Fix bad flowspec component size calculation for large flow routes
  * Fix bad attribute generation for attributes bigger than 256 chars
  * Fix passing arguments to the helper programsP

 -- Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>  Wed, 10 Feb 2012 20:00:00 +0000

exabgp (2.0.4-1) unstable; urgency=low
  
  * New upstream release
  * Fix bug when signal are sent



## exabgp 4.0.2

=== requirements.txt ===
# ExaBGP dependencies are included in its code tree
# You only need to install the following for :

# healthcheck.py
ipaddr

# running the test suite/code
nose
psutil

## exabgp 3.4.13

=== debian/changelog ===
exabgp (3.4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Sep 2015 16:36:02 +0200

exabgp (3.4.12-3) unstable; urgency=medium

  * init: use --folder to tell ExaBGP the location of /etc/exabgp
  * init: let ExaBGP drops privileges itself.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Aug 2015 18:38:37 +0200

=== debian/control ===
Source: exabgp
Maintainer: Vincent Bernat <bernat@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               python (>= 2.7),
               python-setuptools,
               python-ipaddr,
               python-psutil,
               python-nose
Standards-Version: 3.9.6
Homepage: https://github.com/Exa-Networks/exabgp
Vcs-Browser: https://github.com/Exa-Networks/exabgp/tree/debian/sid
Vcs-Git: https://github.com/Exa-Networks/exabgp.git -b debian/sid

Package: exabgp
Architecture: all
Pre-Depends: debconf (>= 1.5.34),
             dpkg (>= 1.15.7.2)
Depends: ${misc:Depends},
         ${python:Depends},
         python-pkg-resources,
         adduser,
         ucf
Description: BGP swiss army knife of networking
 ExaBGP allows engineers to control their network from commodity
 servers. Think of it as Software Defined Networking using BGP by
 transforming BGP messages into friendly plain text or JSON.
 .
 Current documented use cases include DDOS mitigation, network
 visualisation, service high availability, anycast.
 .
 It features ASN4 (RFC 4893), IPv6 (RFC 4760), MPLS (RFC 4659), VPLS
 (RFC 4762), Flow (RFC 5575), Graceful Restart (RFC 4724), Enhanced
 Route Refresh (RFC 7313), AIGP (RFC 7311) and more.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/sbin
	rm -rf $(CURDIR)/debian/exabgp/usr/etc

override_dh_auto_test:
	env INTERPRETER=python sbin/exabgp --fi > etc/exabgp/exabgp.env
	env INTERPRETER=python ./qa/bin/parsing
	env INTERPRETER=python ./qa/bin/conversation
	env INTERPRETER=python ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false nosetests ./qa/tests/*_test.py

## exabgp 3.4.16

=== debian/changelog ===
exabgp (3.4.16-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: enable back conversation tests.

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 Apr 2016 15:03:17 +0200

exabgp (3.4.15-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: don't run conversation tests (unreliable).
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Mar 2016 00:33:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-ipaddr,
                python-psutil,
                python-nose
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/Exa-Networks/exabgp
 Vcs-Browser: https://github.com/Exa-Networks/exabgp/tree/debian/sid
 Vcs-Git: https://github.com/Exa-Networks/exabgp.git -b debian/sid

## exabgp 3.4.17

=== debian/changelog ===
exabgp (3.4.17-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 09 Feb 2017 21:01:21 +0100

exabgp (3.4.17-3) unstable; urgency=medium

  * d/exabgp.postinst: provide complete paths to dpkg-maintscript-helper.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Dec 2016 20:47:18 +0100

exabgp (3.4.17-2) unstable; urgency=medium

  * d/patches: disable again some unreliable tests. Closes: #840310.
  * d/control: depends on lsb-base for the init.d script.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Oct 2016 18:36:46 +0200

exabgp (3.4.17-1) unstable; urgency=medium

  * New upstream version.
  * d/control: bump Standards-Version.
  * d/patches: don't disable unittests.
  * d/rules: disable conversation tests. Closes: #839393.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Oct 2016 15:57:59 +0200

exabgp (3.4.13-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Jessie.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jan 2016 11:25:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,4 @@
 override_dh_auto_test:
 	env INTERPRETER=python sbin/exabgp --fi > etc/exabgp/exabgp.env
 	env INTERPRETER=python ./qa/bin/parsing
-	env INTERPRETER=python ./qa/bin/conversation
 	env INTERPRETER=python ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false nosetests ./qa/tests/*_test.py

## exabgp 4.0.2

=== debian/changelog ===
exabgp (4.0.2-2) unstable; urgency=medium

  * d/control: build-depends on python*-pkg-resources. Closes: #880219.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Nov 2017 13:59:49 +0100

exabgp (4.0.2-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release (4.0.0).
  * Add Python 3 support:
    - d/control: Add python{3}-exabgp, exabgp-common packages.
    - d/exabgp-common.install: Install /usr/share/exabgp/*.
    - d/control,rules: Switch buildsystem to pybuild.
    - d/rules: Limit unit testing to Python 2 for now.
    - d/control: Add required BD's for Python 3 support.
    - d/python{3}-exabgp.{postinst,prerm}: Install exabgp binary
      using alternatives for Python 2 or Python 3 versions.
  * d/rules: Tidy etc/exabgp/exabgp.env on clean.

  [ Vincent Bernat ]
  * New upstream release (4.0.2).
  * Remove all patches.
  * d/control: bump Standards-Version.
  * d/control: remove exabgp-common package.
  * d/install: do not install content of qa/conf (doesn't exist anymore).
  * d/lintian-overrides: silence warning about upstart.
  * d/lintian-overrides: silence warning about missing manual pages.
  * d/patches: cherry-pick patch to add documentation to systemd unit.
  * d/patches: cherry-pick patch to fix ini writing for tcp.bind.
  * d/copyright: updates.
  * d/postinst: prefer Python 3 to run exabgp (add an entry to NEWS.Debian
    for that).

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Oct 2017 20:54:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=exabgp

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	rm -rf $(CURDIR)/debian/exabgp/usr/etc $(CURDIR)/debian/python*-exabgp/usr/share/exabgp
	mkdir -p $(CURDIR)/debian/python-exabgp/usr/sbin $(CURDIR)/debian/python3-exabgp/usr/sbin
	mv $(CURDIR)/debian/python-exabgp/usr/bin/exabgp $(CURDIR)/debian/python-exabgp/usr/sbin/python2-exabgp
	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgp $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgp

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; set -x; for pyvers in $(PYTHONS); do \
		PYMAJOR=`echo $$pyvers | cut -d '.' -f 1`; \
		env INTERPRETER=python$$pyvers sbin/exabgp --fi > etc/exabgp/exabgp.env ; \
		env INTERPRETER=python$$pyvers ./qa/bin/parsing ; \
		env INTERPRETER=python$$pyvers ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false python$$pyvers -m nose ./qa/tests/*_test.py ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -f etc/exabgp/exabgp.env

=== debian/watch ===
version=3
https://github.com/Exa-Networks/exabgp/releases .*/v?(\d[^-]*)\.tar\.gz

## exabgp 4.0.8

=== debian/changelog ===
exabgp (4.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Compatibility with Python 3.7. Closes: #904390.
  * d/patches: remove merged patches.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 Jul 2018 07:47:22 +0200

exabgp (4.0.6-2) unstable; urgency=medium

  * d/postinst: add exabgpcli to the alternative system.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2018 20:24:37 +0200

exabgp (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop all patches.
  * d/patches: add patch to fix BGP Flowspec tests.
  * d/patches: fix a decoding test.
  * d/rules: also run tests with Python 3.
  * d/rules: move exabgpcli as python*-exabgpcli.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2018 16:45:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,76 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python (>= 2.7),
+               dh-python,
+               python-all (>= 2.7),
                python-setuptools,
-               python-ipaddr,
-               python-psutil,
-               python-nose
-Standards-Version: 3.9.7
+               python3-all,
+               python3-setuptools,
+Build-Depends-Indep: python-ipaddr,
+                     python-nose,
+                     python-psutil,
+                     python-six,
+                     python3-nose,
+                     python3-psutil,
+                     python3-six,
+Standards-Version: 4.1.1.0
 Homepage: https://github.com/Exa-Networks/exabgp
 Vcs-Browser: https://github.com/Exa-Networks/exabgp/tree/debian/sid
 Vcs-Git: https://github.com/Exa-Networks/exabgp.git -b debian/sid
 
+Package: python-exabgp
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-pkg-resources,
+Breaks: exabgp (<< 4.0.0-1~),
+Replaces: exabgp (<< 4.0.0-1~),
+Description: BGP swiss army knife of networking - Python 2 module
+ ExaBGP allows engineers to control their network from commodity
+ servers. Think of it as Software Defined Networking using BGP by
+ transforming BGP messages into friendly plain text or JSON.
+ .
+ Current documented use cases include DDOS mitigation, network
+ visualisation, service high availability, anycast.
+ .
+ It features ASN4 (RFC 4893), IPv6 (RFC 4760), MPLS (RFC 4659), VPLS
+ (RFC 4762), Flow (RFC 5575), Graceful Restart (RFC 4724), Enhanced
+ Route Refresh (RFC 7313), AIGP (RFC 7311) and more.
+ .
+ This package provides the Python 2 module of exabgp.
+
+Package: python3-exabgp
+Architecture: all
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-pkg-resources,
+Description: BGP swiss army knife of networking - Python 3 module
+ ExaBGP allows engineers to control their network from commodity
+ servers. Think of it as Software Defined Networking using BGP by
+ transforming BGP messages into friendly plain text or JSON.
+ .
+ Current documented use cases include DDOS mitigation, network
+ visualisation, service high availability, anycast.
+ .
+ It features ASN4 (RFC 4893), IPv6 (RFC 4760), MPLS (RFC 4659), VPLS
+ (RFC 4762), Flow (RFC 5575), Graceful Restart (RFC 4724), Enhanced
+ Route Refresh (RFC 7313), AIGP (RFC 7311) and more.
+ .
+ This package provides the Python 3 module of exabgp.
+
 Package: exabgp
 Architecture: all
 Pre-Depends: debconf (>= 1.5.34),
-             dpkg (>= 1.15.7.2)
-Depends: ${misc:Depends},
+             dpkg (>= 1.15.7.2),
+Depends: adduser,
+         lsb-base (>= 3.2-14),
+         python3-exabgp (= ${binary:Version}) | python-exabgp (= ${binary:Version}),
+         python-pkg-resources,
+         ucf,
+         ${misc:Depends},
          ${python:Depends},
-         python-pkg-resources,
-         adduser,
-         ucf
 Description: BGP swiss army knife of networking
  ExaBGP allows engineers to control their network from commodity
  servers. Think of it as Software Defined Networking using BGP by

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,12 @@
 	mkdir -p $(CURDIR)/debian/python-exabgp/usr/sbin $(CURDIR)/debian/python3-exabgp/usr/sbin
 	mv $(CURDIR)/debian/python-exabgp/usr/bin/exabgp $(CURDIR)/debian/python-exabgp/usr/sbin/python2-exabgp
 	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgp $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgp
+	mv $(CURDIR)/debian/python-exabgp/usr/bin/exabgpcli $(CURDIR)/debian/python-exabgp/usr/sbin/python2-exabgpcli
+	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgpcli $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgpcli
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; set -x; for pyvers in $(PYTHONS); do \
+	set -e; set -x; for pyvers in $(PYTHONS) $(PYTHON3S); do \
 		PYMAJOR=`echo $$pyvers | cut -d '.' -f 1`; \
 		env INTERPRETER=python$$pyvers sbin/exabgp --fi > etc/exabgp/exabgp.env ; \
 		env INTERPRETER=python$$pyvers ./qa/bin/parsing ; \

## exabgp 4.2.4

=== debian/changelog ===
exabgp (4.2.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete upstart support.
  * Fix day-of-week for changelog entries 3.0.11-1, 2.0.6-1, 2.0.5-1,
    2.0.2-1, 2.0.1-1, 2.0.0-1, 1.3.4-2, 1.3.4-1, 1.3.3-2, 1.3.3-1, 1.3.1-
    2, 1.3.1-1, 1.3.0-1, 1.2.0-2.

  [ Vincent Bernat ]
  * New upstream release.
  * d/patches: remove patch applied upstream.
  * d/NEWS: fix name.
  * d/exabgp.*inst: remove migration steps for very old ExaBGP versions.
  * d/rules: remove spurious /usr/etc directory with samples.

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Jan 2020 19:58:25 +0100

exabgp (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: remove support for Python 2. Closes: #936492.
  * d/patches: add patch to make tests succeed when only python3 is
    available.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2019 21:05:46 +0200

=== debian/control ===
Source: exabgp
Maintainer: Vincent Bernat <bernat@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python3-nose,
                     python3-psutil,
                     python3-six,
Standards-Version: 4.1.1.0
Homepage: https://github.com/Exa-Networks/exabgp
Vcs-Browser: https://github.com/Exa-Networks/exabgp/tree/debian/sid
Vcs-Git: https://github.com/Exa-Networks/exabgp.git -b debian/sid

Package: python3-exabgp
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
Description: BGP swiss army knife of networking - Python 3 module
 ExaBGP allows engineers to control their network from commodity
 servers. Think of it as Software Defined Networking using BGP by
 transforming BGP messages into friendly plain text or JSON.
 .
 Current documented use cases include DDOS mitigation, network
 visualisation, service high availability, anycast.
 .
 It features ASN4 (RFC 4893), IPv6 (RFC 4760), MPLS (RFC 4659), VPLS
 (RFC 4762), Flow (RFC 5575), Graceful Restart (RFC 4724), Enhanced
 Route Refresh (RFC 7313), AIGP (RFC 7311) and more.
 .
 This package provides the Python 3 module of exabgp.

Package: exabgp
Architecture: all
Pre-Depends: debconf (>= 1.5.34),
             dpkg (>= 1.15.7.2),
Depends: adduser,
         lsb-base (>= 3.2-14),
         python3-exabgp (= ${binary:Version}),
         python3-pkg-resources,
         ucf,
         ${misc:Depends},
         ${python3:Depends},
Description: BGP swiss army knife of networking
 ExaBGP allows engineers to control their network from commodity
 servers. Think of it as Software Defined Networking using BGP by
 transforming BGP messages into friendly plain text or JSON.
 .
 Current documented use cases include DDOS mitigation, network
 visualisation, service high availability, anycast.
 .
 It features ASN4 (RFC 4893), IPv6 (RFC 4760), MPLS (RFC 4659), VPLS
 (RFC 4762), Flow (RFC 5575), Graceful Restart (RFC 4724), Enhanced
 Route Refresh (RFC 7313), AIGP (RFC 7311) and more.

## exabgp 4.2.8

=== debian/changelog ===
exabgp (4.2.8-2) unstable; urgency=medium

  * Patch exabgp.service to fix socket creation on start.
    Closes: #886568.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 May 2021 17:48:55 +0200

exabgp (4.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 25 May 2020 14:43:37 +0200

exabgp (4.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 20 May 2020 18:35:19 +0200

exabgp (4.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 May 2020 17:11:05 +0200

## exabgp 4.2.17

=== requirements.txt ===
# ExaBGP dependencies are included in its code tree
# You only need to install the following for healthcheck.py

ipaddr

=== debian/changelog ===
exabgp (4.2.17-1) unstable; urgency=medium

  * New upstream release
  * d/control: update Standards-Version
  * d/control: use debhelper-compat
  * d/postinst: use /run instead of /var/run
  * d/control: add ${misc:Pre-Depends}

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jan 2022 22:57:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=exabgp

PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	rm -rf $(CURDIR)/debian/python*-exabgp/usr/etc $(CURDIR)/debian/python*-exabgp/usr/share/exabgp
	mkdir -p $(CURDIR)/debian/python3-exabgp/usr/sbin
	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgp $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgp
	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgpcli $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgpcli

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; set -x; for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d '.' -f 1`; \
		env INTERPRETER=python$$pyvers sbin/exabgp --fi > etc/exabgp/exabgp.env ; \
		env INTERPRETER=python$$pyvers ./qa/bin/parsing ; \
		env INTERPRETER=python$$pyvers ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false python$$pyvers -m nose ./qa/tests/*_test.py ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -f etc/exabgp/exabgp.env

## exabgp 4.2.21

=== debian/changelog ===
exabgp (4.2.21-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * d/rules: let debhelper place systemd unit. (Closes: #1058775)

  [ Vincent Bernat ]
  * d/control: use pytest for tests.
  * d/patch: patch embedded six for Python 3.12. (Closes: #1058181)

 -- Vincent Bernat <bernat@debian.org>  Mon, 01 Jan 2024 08:58:46 +0100

exabgp (4.2.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:02:54 +0200

exabgp (4.2.21-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Tue, 26 Jul 2022 12:43:29 +0200

exabgp (4.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Jun 2022 08:47:05 +0200

exabgp (4.2.19-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Thu, 09 Jun 2022 15:02:01 +0200

exabgp (4.2.18-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Bernat <bernat@debian.org>  Mon, 25 Apr 2022 20:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python3-nose,
+Build-Depends-Indep: python3-pytest,
                      python3-psutil,
                      python3-six,
-Standards-Version: 4.1.1.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Exa-Networks/exabgp
 Vcs-Browser: https://github.com/Exa-Networks/exabgp/tree/debian/sid
 Vcs-Git: https://github.com/Exa-Networks/exabgp.git -b debian/sid
@@ -38,6 +38,7 @@
 Architecture: all
 Pre-Depends: debconf (>= 1.5.34),
              dpkg (>= 1.15.7.2),
+             ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base (>= 3.2-14),
          python3-exabgp (= ${binary:Version}),

## exabgp 4.2.22

=== debian/changelog ===
exabgp (4.2.22-2) unstable; urgency=medium

  * d/control: drop dependency on pkg-resources. Closes: #1083382.
  * d/control: drop dependency on lsb-base.

 -- Vincent Bernat <bernat@debian.org>  Fri, 04 Oct 2024 13:53:57 +0200

exabgp (4.2.22-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Jun 2024 19:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-pkg-resources,
+         ${python3:Depends}
 Description: BGP swiss army knife of networking - Python 3 module
  ExaBGP allows engineers to control their network from commodity
  servers. Think of it as Software Defined Networking using BGP by
@@ -40,9 +39,7 @@
              dpkg (>= 1.15.7.2),
              ${misc:Pre-Depends}
 Depends: adduser,
-         lsb-base (>= 3.2-14),
          python3-exabgp (= ${binary:Version}),
-         python3-pkg-resources,
          ucf,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	mkdir -p $(CURDIR)/debian/python3-exabgp/usr/sbin
 	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgp $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgp
 	mv $(CURDIR)/debian/python3-exabgp/usr/bin/exabgpcli $(CURDIR)/debian/python3-exabgp/usr/sbin/python3-exabgpcli
+	# Let dh place the systemd unit.
+	cp $(CURDIR)/etc/systemd/exabgp.service $(CURDIR)/debian/exabgp.service
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -20,10 +22,10 @@
 		PYMAJOR=`echo $$pyvers | cut -d '.' -f 1`; \
 		env INTERPRETER=python$$pyvers sbin/exabgp --fi > etc/exabgp/exabgp.env ; \
 		env INTERPRETER=python$$pyvers ./qa/bin/parsing ; \
-		env INTERPRETER=python$$pyvers ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false python$$pyvers -m nose ./qa/tests/*_test.py ; \
+		env INTERPRETER=python$$pyvers PYTHONPATH=./lib ETC=$(CURDIR)/etc/exabgp exabgp_log_enable=false python$$pyvers -m pytest qa/tests ; \
 	done
 endif
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
-	rm -f etc/exabgp/exabgp.env
+	rm -f etc/exabgp/exabgp.env debian/exabgp.service

## exabgp 4.2.25

=== qa/requirements.txt ===
# running the test suite/code
six
coveralls
nose
psutil
pyasyncore

=== debian/changelog ===
exabgp (4.2.25-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Remove outdated debconf version constraint.
  * d/control: remove pre-dependency on dpkg as well.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:32:22 +0100

=== debian/control ===
--- 
+++ 
@@ -35,9 +35,7 @@
 
 Package: exabgp
 Architecture: all
-Pre-Depends: debconf (>= 1.5.34),
-             dpkg (>= 1.15.7.2),
-             ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          python3-exabgp (= ${binary:Version}),
          ucf,
